
QGIS Application - Bug report #17410

Identify tool->download in a not authorised folder block qgis

2017-11-07 12:57 PM - Luigi Pirelli

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: any Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25307

Description

tested on OSX (2.18.14) and Master linux

steps:

1) connect to a WMS service that allow download of data

2) visualize map

3) select identify tool

4) do identify

5) click on download data link of the identify tool html page

6) select a not authrised folder and accept => BOOOM!

History

#1 - 2017-11-08 12:59 PM - Alessandro Pasotti

Can you please clarify what does "BOOM" means?

I wrote a test case and it does pass on Linux (the downloader exit on error without issues), I still need to check the issue in the GUI.

#2 - 2017-11-08 01:03 PM - Alessandro Pasotti

Test case: commit:f06ea878b869f4f2baf2818ac1b4700eceaf3567

#3 - 2017-11-08 01:04 PM - Alessandro Pasotti

- Status changed from Open to In Progress

#4 - 2017-11-08 01:44 PM - Luigi Pirelli

BOOM means... you'll see ;)

#5 - 2017-11-08 01:51 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Resolution set to fixed/implemented

commit:6b9b513ea58c96a216cb79b24595eb0aa1405b3d

2024-04-20 1/2



#6 - 2017-11-08 01:51 PM - Alessandro Pasotti

- Status changed from In Progress to Closed
